メインコンテンツへスキップ
PUT
/
api
/
v1
/
webhooks
/
{id}
Update Webhook
curl --request PUT \
  --url https://api.agentwallex.com/api/v1/webhooks/{id} \
  --header 'Content-Type: application/json' \
  --header 'X-API-Key: <api-key>' \
  --data '
{
  "events": [
    "payment.completed",
    "payment.failed",
    "policy.violated",
    "agent.frozen"
  ]
}
'
{
  "id": "<string>",
  "url": "<string>",
  "events": [
    "<string>"
  ],
  "status": "active",
  "created_at": "2023-11-07T05:31:56Z"
}

パスパラメータ

id
string
必須
更新する Webhook ID(例:whk_abc123)。

リクエストボディ

url
string
更新された Webhook エンドポイントの HTTPS URL。
events
string[]
更新されたサブスクライブするイベントタイプのリスト。
secret
string
更新された署名シークレット。whsec_ で始まる必要があります。

curl -X PUT https://api.agentwallex.com/api/v1/webhooks/whk_abc123 \
  -H "X-API-Key: awx_your_api_key" \
  -H "Content-Type: application/json" \
  -d '{
    "events": ["payment.completed", "payment.failed", "policy.violated", "agent.frozen"]
  }'

承認

X-API-Key
string
header
必須

API key authentication. Keys are prefixed with awx_.

パスパラメータ

id
string
必須

The webhook ID to update (e.g., whk_abc123).

ボディ

application/json
url
string<uri>

Updated HTTPS URL for the webhook endpoint.

events
string[]

Updated list of event types to subscribe to.

secret
string

Updated signing secret. Must start with whsec_.

レスポンス

Webhook updated successfully.

A registered webhook endpoint for receiving real-time event notifications.

id
string

Unique webhook identifier (e.g., whk_abc123).

url
string<uri>

HTTPS URL that receives webhook events.

events
string[]

List of subscribed event types.

status
enum<string>

Webhook status.

利用可能なオプション:
active,
inactive
created_at
string<date-time>

ISO 8601 creation timestamp.